ru.bitel.bgbilling.modules.voice.api.common.event

## Class VoiceAccountTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceAccountType>
    - - ru.bitel.bgbilling.modules.voice.api.common.event.VoiceAccountTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class VoiceAccountTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceAccountType>

  Класс-событие изменения справочника тип аккаунта
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceAccountTypeModifiedEvent()`
    `VoiceAccountTypeModifiedEvent(int moduleId, int userId, VoiceAccountType oldItem, VoiceAccountType newItem)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceAccountType` | `getNewVoiceAccountType()`
    `VoiceAccountType` | `getOldVoiceAccountType()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceAccountTypeModifiedEvent

          public VoiceAccountTypeModifiedEvent()

    - #### VoiceAccountTypeModifiedEvent

          public VoiceAccountTypeModifiedEvent(int moduleId,
                                               int userId,
                                               VoiceAccountType oldItem,
                                               VoiceAccountType newItem)

  - ### Method Detail

    - #### getOldVoiceAccountType

          public VoiceAccountType getOldVoiceAccountType()

    - #### getNewVoiceAccountType

          public VoiceAccountType getNewVoiceAccountType()